Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.geometry.billboard
Class Billboard

    java.lang.Object
      de.rico.engine.geometry.AbstractMesh
          de.rico.engine.geometry.MeshDL
              de.rico.engine.geometry.billboard.Billboard

Direct Known Subclasses:
  BillboardedPlant

    public class Billboard

extends MeshDL

This class can be used to draw a billboarded rectangle.

Author:
  Frank Bruns

Constructor Summary
`Billboard(float width, float height)` Creates a new billboard.

Method Summary
`float` | `getHeight()` Returns the height of the billboard.
`float` | `getWidth()` Returns the width of the billboard.
`void` | `specializedDraw(javax.media.opengl.GL gl)` This method contains only the drawing operation fitting to the special kind of mesh.

Methods inherited from class de.rico.engine.geometry.MeshDL
`addFace, destroy, draw, finishModel, getDisplayListId, getFaces, getFacesTransformed, update`

Methods inherited from class de.rico.engine.geometry.AbstractMesh
`addShader, drawShaders, getBoundingVolume, getHeightOffset, getMaterial, getMouseOverMesh, getName, getPosition, getPosX, getPosY, getPosZ, getRotation, getRotX, getRotY, getRotZ, getScaleX, getScaleY, getScaleZ, getTex0Path, getTex1Path, getText0XMovement, getText0YMovement, getText1XMovement, getText1YMovement, getTexUnit0, getTexUnit1, isCollidable, isDrawingEnabled, isEnabledOcclusionCulling, isMouseOverMesh, isOccluded, isPickable, isShadowEnabled, isSmoothShaded, isTex0Flipped, isTex0MipMapped, isTex0Rotated, isTex1Flipped, isTex1MipMapped, isTex1Rotated, moveBackwardsGlobal, moveBackwardsLocal, moveDownGlobal, moveForwardGlobal, moveForwardLocal, moveLeftGlobal, moveLeftLocal, moveRightGlobal, moveRightLocal, moveTo, moveUpGlobal, performTransformations, rotateDown, rotateLeft, rotateRight, rotateUp, scale, setAttachedGround, setBlendDestFactor, setBlendFunction, setBlendSourceFactor, setCollidable, setDrawingEnabled, setEnabledOcclusionCulling, setEnvironmentMap, setMaterial, setName, setPickable, setPosition, setPosition, setPosX, setPosY, setPosZ, setRotation, setRotation, setRotX, setRotY, setRotZ, setScaleX, setScaleY, setScaleZ, setShadowEnabled, setShowBoundingVolume, setTex0Movement, setTex0TexEnvirMode, setTex0XMovement, setTex0YMovement, setTex1Movement, setTex1TexEnvirMode, setTex1XMovement, setTex1YMovement, setTexUnit0, setTexUnit0, setTexUnit1, setTexUnit1, setTransparency, showWireFrame, translateX, translateY, translateZ`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Billboard

    public Billboard(float width,
                     float height)

  Creates a new billboard. In order to archive parts of the texture image to be invisible, please use png images with tranparent parts in it.

  Parameters:
    `width` - width of the billboard
    `height` - height of the billboard

Method Detail

### getWidth

    public float getWidth()

  Returns the width of the billboard.

  Returns:
    width of the billboard

### getHeight

    public float getHeight()

  Returns the height of the billboard.

  Returns:
    height of the billboard

### specializedDraw

    public void specializedDraw(javax.media.opengl.GL gl)

  Description copied from class: `AbstractMesh`
  This method contains only the drawing operation fitting to the special kind of mesh. It is useful for drawing shadows, too.

  Overrides:
    `specializedDraw` in class `MeshDL`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD